Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.tracking.events
Class BuyEvent

    java.lang.Object
      com.bea.p13n.property.AbstractConfigurableEntity
          com.bea.p13n.events.Event
              com.bea.p13n.tracking.events.TrackingEvent
                  com.bea.commerce.ebusiness.tracking.events.ShoppingEvent
                      com.bea.commerce.ebusiness.tracking.events.BuyEvent

All Implemented Interfaces:
  ConfigurableEntity, EventConstants, Serializable

public class BuyEvent
extends ShoppingEvent

Event for tracking purchases

See Also:
  Serialized Form

Field Summary
`static String` | `ORDER_LINE_ID` Order line id key Attribute value is a Long
`static String` | `TYPE` The event type
`static String` | `UNIT_PRICE` Event attribute key name for unit price (used by shopping and buy) Attribute value is a Double

Fields inherited from class com.bea.commerce.ebusiness.tracking.events.ShoppingEvent
`APPLICATION_NAME, CURRENCY, QUANTITY, SKU`

Fields inherited from class com.bea.p13n.tracking.events.TrackingEvent
`APPLICATION, REQUEST, SESSION_ID, USER_ID, USER_TYPE`

Fields inherited from class com.bea.p13n.property.AbstractConfigurableEntity
`CE_METHOD_CACHE, instanceClass, PREFIX_GET, PREFIX_SET, propertyCache, textFormatter`

Fields inherited from interface com.bea.p13n.property.ConfigurableEntity
`RESERVED_PROPERTY_SET`

Fields inherited from interface com.bea.p13n.events.EventConstants
`TYPE_ALL`

Constructor Summary
`BuyEvent(HttpSession session, HttpServletRequest theRequest, String aSKU, Double theQuantity, Double theUnitPrice, String aCurrency, String aApplicationName, Long aOrderLineId)` Create a new BuyEvent.
`BuyEvent(String theSessionId, String theUserId, HttpServletRequest theRequest, String aSKU, Double theQuantity, Double theUnitPrice, String aCurrency, String aApplicationName, Long aOrderLineId)` Deprecated.

Methods inherited from class com.bea.p13n.tracking.events.TrackingEvent
`getSchemaKeys, getSession, getXMLNamespace, getXSDFile, setSchemaKeys, setSession, setXMLNamespace, setXSDFile`

Methods inherited from class com.bea.p13n.events.Event
`getApplication, getAttribute, getAttributeNames, getProperty, getTimeStamp, getType, removeAttribute, setApplication, setAttribute, toString`

Methods inherited from class com.bea.p13n.property.AbstractConfigurableEntity
`createMapKey, getCachedProperty, getExplicitProperty, getExplicitSetter, getImplicitProperty, getJndiName, getPkString, getPropertyAsString, getPropertyCache, getPropertyNoDefault, getUniqueId, hasExplicitGetter, hasExplicitSetter, removeExplicitProperty, removeProperty, setExplicitProperty, setProperty, upcaseFirst`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.bea.p13n.property.ConfigurableEntity
`getJndiName, getPkString, getPropertyAsString, getPropertyNoDefault, getUniqueId, removeProperty, setProperty`

Field Detail

### ORDER_LINE_ID

    public static final String ORDER_LINE_ID

  Order line id key Attribute value is a Long

  See Also:
    Constant Field Values

### TYPE

    public static final String TYPE

  The event type

  See Also:
    Constant Field Values

### UNIT_PRICE

    public static final String UNIT_PRICE

  Event attribute key name for unit price (used by shopping and buy) Attribute value is a Double

  See Also:
    Constant Field Values

Constructor Detail

### BuyEvent

    public BuyEvent(HttpSession session,
                    HttpServletRequest theRequest,
                    String aSKU,
                    Double theQuantity,
                    Double theUnitPrice,
                    String aCurrency,
                    String aApplicationName,
                    Long aOrderLineId)

  Create a new BuyEvent. This ctor must be used to track anonymous users

### BuyEvent

    public BuyEvent(String theSessionId,
                    String theUserId,
                    HttpServletRequest theRequest,
                    String aSKU,
                    Double theQuantity,
                    Double theUnitPrice,
                    String aCurrency,
                    String aApplicationName,
                    Long aOrderLineId)

  Deprecated.

  Create a new BuyEvent.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved